## scsitools 0.3

=== scsidev/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# $Id: Makefile.in,v 1.9 2000/09/05 09:22:35 garloff Exp $
#
## Makefile for scsidev.

#### Start of system configuration section. ####

srcdir = .

CC = gcc

INSTALL = /usr/bin/ginstall -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

LIBS = 

VERSION = $(shell cat VERSION)

prefix = $(DESTDIR)/usr
exec_prefix = $(DESTDIR)

bindir = $(exec_prefix)/bin
docdir = $(prefix)/share/doc/packages

# Where to put the manual pages.
mandir = $(prefix)/share/man/man8
#mandir = $(prefix)/man/man8
# Extension (not including `.') for the manual page filenames.
manext = 8

#### End of system configuration section. ####
CFLAGS=-g -O2 -Wall -DVERSION=\"$(VERSION)\" # -g -DDEBUG

World: scsidev

scsidev: Makefile scsidev.c config.h
	${CC} ${CFLAGS} -o scsidev scsidev.c

Makefile: Makefile.in config.status
	CONFIG_FILES=Makefile CONFIG_HEADERS= $(SHELL) ./config.status

config.status: configure
	$(SHELL) config.status --recheck

configure:  configure.in
	cd $(srcdir) && autoconf

install: scsidev
	install -o root -g root -m 755 -s scsidev $(bindir)
	install -o root -g root -m 644 scsidev.8 $(mandir)
	gzip -9f $(mandir)/scsidev.8
	if [ ! -d $(DESTDIR)/dev/scsi ]; then mkdir $(DESTDIR)/dev/scsi; fi
	#install -d $(docdir)/scsidev
	#install COPYING boot.diff README scsi.alias $(docdir)/scsidev/

dist: clean
	rm Makefile
	(cd .. && mv scsidev scsidev-$(VERSION) && tar cvvf - \
	--exclude scsidev-$(VERSION)/CVS scsidev-$(VERSION) \
	| gzip -9 > scsidev-$(VERSION).tar.gz; mv scsidev-$(VERSION) scsidev)

clean:
	rm -f *~ .*~ *.o scsidev
	/bin/rm -f config.status config.log config.cache config.h

## scsitools 0.12

=== scsiinfo/Makefile ===
CFLAGS=-O2 -fomit-frame-pointer -Wall -fno-strength-reduce
#CFLAGS=-g -Wall -fno-strength-reduce
LDFLAGS=-s

#do not modify this without changing the tcl/tk scripts

BINDIR=/usr/lib/scsi
MANDIR=/usr/man
WISHEXECS=tk/cache tk/control tk/disconnect tk/error tk/format\
	tk/inquiry tk/notch tk/peripheral tk/rigid tk/save-changes tk/verify\
	tk/save-file tk/overview
TARGETS=scsiinfo scsiformat tworands

.PHONY: all install dist clean

all: $(TARGETS)

install: $(TARGETS) $(WISHEXECS) scsi-config tk_scsiformat
	cp scsiinfo scsiformat /usr/bin
	if [ ! -d $(BINDIR) ]; then mkdir -p $(BINDIR); fi
	cp tworands $(BINDIR)
	install-wish $(BINDIR) $(WISHEXECS)
	install-wish /usr/bin scsi-config tk_scsiformat
	cp tk/generic $(BINDIR)
	cp man8/* $(MANDIR)/man8

clean:
	rm -f core *~ *.o $(TARGETS)

dist: clean
	(mydir=`basename \`pwd\``;\
	cd .. && tar cvvf - $$mydir | gzip -9 > $${mydir}.tar.gz)

=== debian/changelog ===
scsitools (0.12-6) unstable; urgency=medium

  * QA upload.

  [ Christoph Martin ]
  * Added gbp.conf
  * Added Vcs fields to debian/control

  [ Petter Reinholdtsen ]
  * Updated Standards-Version from 3.9.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Use set -e rather than passing -e on the shebang-line.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 0.1-1.
  * Converted debian/README.scsi-spin to UTF-8.
  * Replaced obsolete dependency on lsb-base with versioned sysvinit-utils dependency.
  * Adjusted build to pass CPPFLAGS and LDFLAGS for hardening.
  * Corrected debian branch in d/gbp.conf from master to debian/main.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 04 May 2024 21:09:10 +0200

scsitools (0.12-5) unstable; urgency=medium

  * QA upload.
  * Move binaries from /sbin to /sbin.
  * Stop installing sraw and obsolete kernel patches.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 26 Nov 2023 14:13:57 +0100

scsitools (0.12-4) unstable; urgency=medium

  * QA uplaod.
  * Stop installing severely outdated rescan-scsi-bus.sh, instead
    use the one from sg3-utils.
  * Remove remnants of alioth.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 05 Feb 2021 23:02:44 +0000

scsitools (0.12-3) unstable; urgency=medium

  * QA upload.
  * Orphan package, no maintainer activity in 5+ years.
  * Add debian/patches/udevadm-use-PATH.patch (Closes: #852578)
  * Add Recommends e2fsprogs (Closes: #887253)
    - possibly used by tk_scsiformat and also init scripts.
  * Bump to debhelper compat 9, since anything before is deprecated.
  * Drop manual quilt usage in debian/rules (and build-dep)
    - package already is using source format '3.0 (quilt)'.
  * Modernize/simplify debian/rules
    - use dh override_* style overrides.
    - use debian/clean, debian/manpages, debian/docs instead of command
      line overrides.
  * Fix 'in in' typo in debian/README.Debian as pointed out by lintian.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 17 Jan 2018 15:11:13 +0100

scsitools (0.12-2.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Henriksson ]
  * Add debian/scsitools.links to create symlinks masking the
    scsitools.sh and scsitools-pre.sh init scripts under systemd.
    - these scripts are likely not useful at all on modern systems.
    (Closes: #796687)
  * Add dh_link command to debian/rules for the above.
  * Demote tk to a Suggests instead of Recommends to avoid pulling in
    X11 when installing these otherwise low-level tools.
    - the tools should already handle and give useful help/output
      when run and tk/wish is missing.
  * Drop util-linux versioned dependency as the version are already
    new enough since ages and util-linux is Essential: yes anyway.
  * Source /lib/lsb/init-functions in init scripts to allow
    LSB hooks to work correctly.
  * Add lsb-base dependency for the above.

  [ Daniel Kahn Gillmor ]
  * Make postinst less brittle by accepting failure to create /dev/scsi/
    (Closes: #686881)
    - Note that this attempt to create /dev/scsi isn't going to persist on
      modern systems with a tmpfs mounted on /dev, so whatever is relying on
      that directory being there is going to need some other way to deal after
      a reboot anyway.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 25 Jun 2016 19:13:32 +0200

scsitools (0.12-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced tk8.4 by tk in dependencies to get rid of Tcl/Tk 8.4.
    (Closes: #725080)

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 28 Oct 2013 15:29:51 +0400

scsitools (0.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "rescan-scsi-bus call nonexistent usleep command":
    new patch rescan-scsi-bus_sleep.patch, based on suggestion from Ubuntu /
    Daniel T Chen: replace usleep with sleep.
    (Closes: #624441)

 -- gregor herrmann <gregoa@debian.org>  Wed, 07 Dec 2011 17:25:32 +0100

scsitools (0.12-2) unstable; urgency=low

  * Removed note displayed at install time (debconf abuse). Closes: #610233
  * (packaging source files are now hosted on Alioth).

 -- Eric Delaunay <delaunay@debian.org>  Wed, 19 Jan 2011 22:26:20 +0100

scsitools (0.12-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Updated rescan-scsi-bus.sh to 1.48. Closes: #559147
  * Removed .sh extension from rescan-scsi-bus. Closes: #601566
  * Now handling nostrip build option (policy 10.1). Closes: #438008
  * Get rid of some lintian warnings:
    - debian/templates description (malformed-title-in-templates).
    - scsitools.sh code cleanup (init.d-script-sourcing-without-test).

 -- Eric Delaunay <delaunay@debian.org>  Tue, 11 Jan 2011 23:09:16 +0100

scsitools (0.10-2.1) unstable; urgency=low

  * scsitools/scsiinfo: get rid of debugging message added by previous upload.
    Sorry.

 -- Eric Delaunay <delaunay@debian.org>  Sun, 01 Nov 2009 16:51:32 +0000

scsitools (0.10-2) unstable; urgency=low

  * rescan-scsi-bus.sh: fixed lots of errors when scanning host with no devices
    connected. Thanks to Andreas Beckmann for the patch. Closes: #502542
  * scsitools: scsiinfo -l now shows drives beyond sdz. Closes: #551962

 -- Eric Delaunay <delaunay@debian.org>  Sun, 01 Nov 2009 16:51:32 +0000

scsitools (0.10-1.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Galician. Closes: #482134
    - Basque. Closes: #495039

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Aug 2008 09:58:32 +0200

scsitools (0.10-1.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal issues.
  * Add LSB dependency header to init.d scripts (Closes: #458649)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Mar 2008 10:53:29 +0100

scsitools (0.10-1) unstable; urgency=low



=== debian/control ===
Source: scsitools
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0.
Build-Depends: debhelper-compat (= 13),
               tk,
Vcs-Git: https://salsa.debian.org/debian/scsitools.git
Vcs-Browser: https://salsa.debian.org/debian/scsitools

Package: scsitools
Architecture: any
Depends: sysvinit-utils (>= 3.05-4~),
         sg3-utils (>= 1.24), ${misc:Depends}, ${shlibs:Depends}
Recommends: e2fsprogs
Conflicts: hwtools (<< 0.6)
Suggests: tk
Description: Collection of tools for SCSI hardware management
 This package is a collection of tools for manipulating SCSI hardware:
 .
  scsiinfo: displays SCSI drive low-level information and modifies SCSI
            drive settings,
  scsidev: makes permanent SCSI LUN -> devicename connections,
  scsifmt: low-level SCSI formatter,
  sraw: benchmarks raw SCSI I/O rates bypassing the buffer cache,
  scsi-spin: program to manually spin up and down a SCSI device.
 .
 Beware that, to be used properly, these tools require some knowledge of
 what they're doing as they can cause damage to your system.

=== debian/rules ===
#!/usr/bin/make -f
# Derived from debhelper/dh_make example, and Cristoph Lameter's file. -joy

#export DH_VERBOSE=1
CFLAGS = -g -O2 -Wall -fsigned-char

#architecture := $(shell dpkg-architecture -qDEB_HOST_ARCH)
p = scsitools

%:
	dh $@

override_dh_auto_build:
	cd scsiinfo && $(MAKE) KERNEL_INCLUDES="-fsigned-char" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
	cd scsidev && CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr \
          --mandir='${prefix}'/share/man && $(MAKE)
	gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o scsi-spin debian/scsi-spin.c
	#dh_auto_build

override_dh_auto_clean:
	for i in scsiinfo scsidev ; do $(MAKE) -C $$i clean || true ; done
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	install -m 755 -p debian/scsitools-pre.sh debian/$(p)/etc/init.d/
	install -m 755 -p debian/scsitools.sh debian/$(p)/etc/init.d/
	cd scsiinfo && $(MAKE) install DESTDIR=../debian/$(p)
	mv debian/$(p)/sbin/scsiinfo debian/$(p)/usr/sbin
	install -m 755 scsidev/scsidev debian/$(p)/usr/sbin
	#install -m 755 scsidev/scsidevfs.so debian/$(p)/lib
	#install -m 644 scsidev/devfsd.conf debian/$(p)/etc/devfs/conf.d/scsitools
	install -m 755 scsi-spin debian/$(p)/usr/sbin
	install -m 644 debian/lintian-overrides debian/$(p)/usr/share/lintian/overrides/scsitools
	rmdir debian/$(p)/sbin
	# Documentation
	cp -a scsiinfo/0-TODO debian/$(p)/usr/share/doc/scsitools/TODO.scsiinfo
	cp -a scsiinfo/0-CHANGES debian/$(p)/usr/share/doc/scsitools/CHANGES.scsiinfo
	cp -a scsiinfo/0-README.first debian/$(p)/usr/share/doc/scsitools/README.scsiinfo
	cp -a scsidev/README debian/$(p)/usr/share/doc/scsitools/README.scsidev
	awk '/#include/ {exit};{print}' scsidev/scsidev.c > debian/$(p)/usr/share/doc/scsitools/CHANGES.scsidev
	ln -s CHANGES.scsidev debian/$(p)/usr/share/doc/scsitools/changelog
	cp -a debian/README.scsi-spin debian/$(p)/usr/share/doc/scsitools/README.scsi-spin

=== debian/watch ===
version=3
# Monitor updates to scsidev > 2.37
opts="uversionmangle=s/1\..*/0.12/;s/2\.[0-2].*/0.12/;s/2\.3[0-7].*/0.12/" \
  http://www.garloff.de/kurt/linux/scsidev/scsidev-(.*).tar.gz

## scsitools 0.13

=== scsiinfo/Makefile ===
CFLAGS+=${KERNEL_INCLUDES} -g -O2 -Wall -fomit-frame-pointer -fno-strength-reduce -D_GNU_SOURCE
#CFLAGS=-g -Wall -fno-strength-reduce
CPPFLAGS+=
LDFLAGS+=-s

#do not modify this without changing the tcl/tk scripts

BINDIR=$(DESTDIR)/usr/lib/scsi
MANDIR=$(DESTDIR)/usr/share/man
WISHEXECS=tk/cache tk/control tk/disconnect tk/error tk/format\
	tk/inquiry tk/notch tk/peripheral tk/rigid tk/save-changes tk/verify\
	tk/save-file tk/overview
TARGETS=scsiinfo scsiformat tworands

.PHONY: all install dist clean

all: $(TARGETS)

install: $(TARGETS) $(WISHEXECS) scsi-config tk_scsiformat
	test -d $(DESTDIR)/sbin || mkdir -p $(DESTDIR)/sbin
	test -d $(DESTDIR)/usr/sbin || mkdir -p $(DESTDIR)/usr/sbin
	test -d $(BINDIR) || mkdir -p $(BINDIR)
	cp scsiinfo $(DESTDIR)/sbin
	cp scsiformat $(DESTDIR)/usr/sbin
	cp tworands $(BINDIR)
	./install-wish $(BINDIR) $(WISHEXECS)
	#./install-wish $(DESTDIR)/usr/sbin scsi-config tk_scsiformat
	cp scsi-config tk_scsiformat $(DESTDIR)/usr/sbin
	cp tk/generic $(BINDIR)
	# manuals are installed by dh_installmanpages in debian/rules
	#cp man8/* $(MANDIR)/man8

clean:
	rm -f core *~ *.o $(TARGETS)

dist: clean
	(mydir=`basename \`pwd\``;\
	cd .. && tar cvvf - $$mydir | gzip -9 > $${mydir}.tar.gz)

=== debian/changelog ===
scsitools (0.13) unstable; urgency=medium

  * QA upload.

  [ Alexandre Detiste ]
  * remove useless debian/README.source, quilt is the default

  [ Chris Hofstaedtler ]
  * Drop scsidev, does not build with gcc-15 and is not needed with udev
    (Closes: #1097863)
  * Drop rescan-scsi-bus sources
  * Stop pretending we have an upstream, apply all patches and switch to
    Debian native source format.
  * Fix Standards-Version.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 22 Sep 2025 18:42:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.7.0.
+Standards-Version: 4.7.2.0
 Build-Depends: debhelper-compat (= 13),
                tk,
 Vcs-Git: https://salsa.debian.org/debian/scsitools.git
@@ -20,7 +20,6 @@
  .
   scsiinfo: displays SCSI drive low-level information and modifies SCSI
             drive settings,
-  scsidev: makes permanent SCSI LUN -> devicename connections,
   scsifmt: low-level SCSI formatter,
   sraw: benchmarks raw SCSI I/O rates bypassing the buffer cache,
   scsi-spin: program to manually spin up and down a SCSI device.

=== debian/rules ===
#!/usr/bin/make -f
# Derived from debhelper/dh_make example, and Cristoph Lameter's file. -joy

#export DH_VERBOSE=1
CFLAGS = -g -O2 -Wall -fsigned-char

#architecture := $(shell dpkg-architecture -qDEB_HOST_ARCH)
p = scsitools

%:
	dh $@

override_dh_auto_build:
	cd scsiinfo && $(MAKE) KERNEL_INCLUDES="-fsigned-char" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
	gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o scsi-spin debian/scsi-spin.c
	#dh_auto_build

override_dh_auto_clean:
	for i in scsiinfo ; do $(MAKE) -C $$i clean || true ; done
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	cd scsiinfo && $(MAKE) install DESTDIR=../debian/$(p)
	mv debian/$(p)/sbin/scsiinfo debian/$(p)/usr/sbin
	install -m 755 scsi-spin debian/$(p)/usr/sbin
	install -m 644 debian/lintian-overrides debian/$(p)/usr/share/lintian/overrides/scsitools
	rmdir debian/$(p)/sbin
	# Documentation
	cp -a scsiinfo/0-TODO debian/$(p)/usr/share/doc/scsitools/TODO.scsiinfo
	cp -a scsiinfo/0-CHANGES debian/$(p)/usr/share/doc/scsitools/CHANGES.scsiinfo
	cp -a scsiinfo/0-README.first debian/$(p)/usr/share/doc/scsitools/README.scsiinfo
	cp -a debian/README.scsi-spin debian/$(p)/usr/share/doc/scsitools/README.scsi-spin

## scsitools 0.14

=== debian/changelog ===
scsitools (0.14) unstable; urgency=medium

  * QA upload.

  [ Chris Hofstaedtler ]
  * Complete sraw removal
  * Complete scsifmt removal
  * Complete scsistop removal
  * Remove patch for kernel 2.2.14
  * Remove unnecessary dirs from debian/dirs

  [ Helmut Grohne ]
  * Fix FTCBFS.
    Let dh_auto_* pass cross flags along.
    Use host CC from buildtools.mk. (Closes: #888037)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 27 Sep 2025 01:36:11 +0200

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,6 @@
  .
   scsiinfo: displays SCSI drive low-level information and modifies SCSI
             drive settings,
-  scsifmt: low-level SCSI formatter,
-  sraw: benchmarks raw SCSI I/O rates bypassing the buffer cache,
   scsi-spin: program to manually spin up and down a SCSI device.
  .
  Beware that, to be used properly, these tools require some knowledge of

## scsitools 0.15

=== debian/changelog ===
scsitools (0.15) unstable; urgency=medium

  * Build-Depend: dpkg-build-api (= 1) for buildtools.mk
    As noted by Helmut Grohne.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 02 Oct 2025 11:36:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 4.7.2.0
 Build-Depends: debhelper-compat (= 13),
+               dpkg-build-api (= 1),
                tk,
 Vcs-Git: https://salsa.debian.org/debian/scsitools.git
 Vcs-Browser: https://salsa.debian.org/debian/scsitools

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Derived from debhelper/dh_make example, and Cristoph Lameter's file. -joy
 
 #export DH_VERBOSE=1
-CFLAGS = -g -O2 -Wall -fsigned-char
+include /usr/share/dpkg/default.mk
 
 #architecture := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 p = scsitools
@@ -11,9 +11,9 @@
 	dh $@
 
 override_dh_auto_build:
-	cd scsiinfo && $(MAKE) KERNEL_INCLUDES="-fsigned-char" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
-	gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o scsi-spin debian/scsi-spin.c
-	#dh_auto_build
+	dh_auto_build --buildsystem=makefile --builddirectory=scsiinfo -- \
+		KERNEL_INCLUDES="-fsigned-char" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o scsi-spin debian/scsi-spin.c
 
 override_dh_auto_clean:
 	for i in scsiinfo ; do $(MAKE) -C $$i clean || true ; done
